Package org.codehaus.janino

# Class IClass.IConstructor

java.lang.Object
org.codehaus.janino.IClass.IInvocable
org.codehaus.janino.IClass.IConstructor

All Implemented Interfaces:
  `IClass.IMember`

Enclosing class:
  `IClass`

public abstract class IClass.IConstructor extends IClass.IInvocable
Representation of a constructor of an `IClass`.

## Constructor Summary

Constructors
Constructor
Description
`IConstructor()`

## Method Summary

Modifier and Type
Method
Description
`MethodDescriptor`
`getDescriptor2()`
Uncached implementation of `IClass.IInvocable.getDescriptor()`.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.IClass.IInvocable

`argsNeedAdjust, getDeclaringIClass, getDescriptor, getParameterTypes, getParameterTypes2, getThrownExceptions, getThrownExceptions2, isLessSpecificThan, isMoreSpecificThan, isVarargs, setArgsNeedAdjust`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.IClass.IMember

`getAccess, getAnnotations`

## Constructor Details

### IConstructor

public IConstructor()

## Method Details

### getDescriptor2

public MethodDescriptor getDescriptor2() throws CompileException
Description copied from class: `IClass.IInvocable`
Uncached implementation of `IClass.IInvocable.getDescriptor()`.

Specified by:
  `getDescriptor2` in class `IClass.IInvocable`
Throws:
  `CompileException`

### toString

public String toString()

Specified by:
  `toString` in class `IClass.IInvocable`